import java.awt.*;
import java.applet.*;

/**
 * This class reads PARAM tags from its HTML host page and sets
 * the color and label properties of the applet. Program execution
 * begins with the init() method. 
 */
public class Applet1 extends Applet
{
	private int last_x;
	private int last_y;
	private boolean turn = false;
	private int cell[][] = {{0,0,0},{0,0,0},{0,0,0}};
	
	
	
	
	public void paint(Graphics g)
	{
		super.paint(g);
		g.drawRect(0,0,300,300);
		g.drawLine(0,100,300,100);
		g.drawLine(0,200,300,200);
		g.drawLine(100,0,100,300);
		g.drawLine(200,0,200,300);
		this.PaintCells(g);
		
	}
	
	
	
	private void PaintCells(Graphics g)
	{
		for(int i = 0; i < 3;i++)
			for(int j = 0; j < 3; j++)
			{
				if (cell[i][j] == 1)
				{
					g.setColor(Color.red);
					g.drawOval(i*100 + 10, j*100+10, 80, 80); 
				}
				else 
					if (cell[i][j] == 2)
					{
						int coor_x  = i * 100, coor_y = j * 100;
						g.setColor(Color.blue);
						g.drawLine(coor_x + 10, coor_y + 10, coor_x + 90, coor_y  + 90);
						g.drawLine(coor_x + 90, coor_y + 10, coor_x + 10, coor_y + 90);
					}
			}
	}
	
	
	
	public boolean mouseDown(Event e, int x, int y)
	{
		Graphics g = this.getGraphics();
		int cell_x, cell_y, coor_x, coor_y;
		cell_x = x / 100;
		cell_y = y / 100;
		
		if (cell[cell_x][cell_y] != 0)
			return true;
		
		
		coor_x = cell_x * 100;
		coor_y = cell_y * 100;
		
		if (turn == true)
		{
			g.setColor(Color.red);
			g.drawOval(coor_x + 10, coor_y +10,80, 80); 
			cell[cell_x][cell_y]  = 1;
			turn = false;
		}
		else
		{
			g.setColor(Color.blue);
			g.drawLine(coor_x + 10, coor_y + 10, coor_x + 90, coor_y  + 90);
			g.drawLine(coor_x + 90, coor_y + 10, coor_x + 10, coor_y + 90);
			cell[cell_x][cell_y]  = 2;
			turn  = true;
			
		}
		return true;
	}
	
}
